# CATCH.defn.tcl


proc {CATCH} {name c n} {
          define-register $name cCAMAC accum-off          "-c$c -n$n -a1 -f24"
          define-register $name cCAMAC accum-on           "-c$c -n$n -a1 -f26"
          define-register $name cCAMAC req-group          "-c$c -n$n -a5 -f25"
          define-register $name cCAMAC calibrate          "-c$c -n$n -a4 -f25"
          define-register $name cCAMAC clear              "-c$c -n$n -a3 -f25"
          define-register $name cCAMAC stop-hsm-acq       "-c$c -n$n -a2 -f25"
          define-register $name cCAMAC restart            "-c$c -n$n -a1 -f25"
          define-register $name xCAMAC status             "-c$c -n$n -a1 -f0"
}


proc {CATCH_DAQ-reset} {args} {
#    CATCH
   set module [first $args]
    read-register $module.accum-off
    read-register $module.clear
    read-register $module.stop-hsm-acq
    read-register $module.restart
}

proc {CATCH_DAQ-go} {args} {
#    CATCH
   set module [first $args]
   read-register $module.accum-on
}

proc {CATCH_DAQ-halt} {args} {
#    CATCH
   set module [first $args]
   read-register $module.accum-off
}
